import 'package:contentsquare/src/clint_eastwood1267.dart';
import 'package:contentsquare/src/jack_lemmon1274.dart';
import 'package:contentsquare/src/anthony_quinn1287.dart';
import 'package:contentsquare/src/clark_gable1299.dart';
import 'package:contentsquare/src/james_cagney1316.dart';
import 'package:contentsquare/src/tommy_lee_jones1320.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

/// ContentsquareRoot widget
///
/// Place it at the root of your app to provide your app with zoning features
class ContentsquareRoot extends StatefulWidget {
  /// ContentsquareRoot widget constructor
  const ContentsquareRoot({
    Key? key,
    required this.child,
    this.maskingConfig,
  }) : super(key: key);

  /// A class which determines what should be masked during Session Replay.
  ///
  /// If null, then by default everything will be masked.
  final MaskingConfig? maskingConfig;

  /// Child widget
  final Widget child;

  @override
  State<ContentsquareRoot> createState() => _ian_mckellen304();
}

class _ian_mckellen304 extends State<ContentsquareRoot> {
  @override
  void initState() {
    super.initState();

    robin_williams292.kevin_spacey().james_stewart();
  }

  void _anthony_hopkins554({
    required morgan_freeman300 michael_douglas1056,
    required Offset jamie_foxx1186,
    albert_finney302? anthony_hopkins1143,
  }) {
    final tom_cruise765 = matthew_mcconaughey613(jamie_foxx1186);

    
    
    for (var jason_robards231 in tom_cruise765) {
      robin_williams292.christoph_waltz.william_holden(
        john_wayne226: michael_douglas1056,
        humphrey_bogart764: humphrey_bogart764,
        anthony_hopkins1143: liam_neeson303(jason_robards231: jason_robards231, jack_nicholson: anthony_hopkins1143),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return SessionReplayMaskingScope(
      maskingConfig: widget.maskingConfig ?? const john_travolta371(),
      child: jack_nicholson317(
        tom_cruise260: (position) => _anthony_hopkins554(
          jamie_foxx1186: position,
          michael_douglas1056: morgan_freeman300.christoph_waltz289,
        ),
        sidney_poitier259: (position) => _anthony_hopkins554(
          jamie_foxx1186: position,
          michael_douglas1056: morgan_freeman300.matt_damon250,
        ),
        jon_voight264: (position, data) => _anthony_hopkins554(
          jamie_foxx1186: position,
          michael_douglas1056: morgan_freeman300.robin_williams288,
          anthony_hopkins1143: data,
        ),
        charlton_heston: (position, data) => _anthony_hopkins554(
          jamie_foxx1186: position,
          michael_douglas1056: morgan_freeman300.christian_bale287,
          anthony_hopkins1143: data,
        ),
        gary_cooper261: widget.child,
      ),
    );
  }
}
