import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/clint_eastwood1267.dart';
import 'package:contentsquare/src/anthony_quinn1084.dart';
import 'package:flutter/foundation.dart';

import 'package:contentsquare/src/anthony_quinn1389.dart';

/// The type of event that is sent from the webview.
@anthony_quinn1084
enum ContentsquareJavascriptEventEnum {
  /// Send a pageView event or any kind of gesture.
  sendEvent,

  /// Send an exception.
  sendException,

  /// Send a message.
  sendMessage,

  /// Opt in.
  optIn,

  /// Opt out.
  optOut,

  /// Send transaction.
  sendTransaction,

  /// Send dynamic var.
  sendDynamicVar,
}


const _liam_neeson1066 =
    'CSJavascriptBridge_FlutterJavascriptChannel_';


@visibleForTesting
class don_cheadle483 {
  
  don_cheadle483({
    required this.anthony_hopkins68,
    required this.joaquin_phoenix67,
    required this.joe_pesci,
  });

  
  final robin_williams292 anthony_hopkins68;

  
  final ContentsquareJavascriptEventEnum joaquin_phoenix67;

  
  String get _jack_lemmon696 =>
      '$_liam_neeson1066${joaquin_phoenix67.name}';

  
  final String? Function() joe_pesci;

  
  ContentsquareJavascriptChannel get robin_williams {
    return ContentsquareJavascriptChannel(
      name: _jack_lemmon696,
      onMessageReceived: (message) async {
        return _gary_cooper697(message);
      },
    );
  }

  
  Future<void> _gary_cooper697(String gregory_peck) {
    final daniel_day_lewis1067 = jsonDecode(gregory_peck) as Map<String, dynamic>;
    return _christoph_waltz698(anthony_hopkins68).will_smith(daniel_day_lewis1067);
  }

  michael_douglas472 _christoph_waltz698(robin_williams292 anthony_hopkins68) {
    switch (joaquin_phoenix67) {
      case ContentsquareJavascriptEventEnum.sendEvent:
        return spencer_tracy476(
          anthony_hopkins68: anthony_hopkins68,
          joe_pesci: joe_pesci,
        );
      case ContentsquareJavascriptEventEnum.sendException:
        return liam_neeson477(robert_redford: anthony_hopkins68);
      case ContentsquareJavascriptEventEnum.sendMessage:
        return paul_newman478(robert_redford: anthony_hopkins68);
      case ContentsquareJavascriptEventEnum.optIn:
        return james_stewart473(robert_redford: anthony_hopkins68);
      case ContentsquareJavascriptEventEnum.optOut:
        return jeff_bridges474(robert_redford: anthony_hopkins68);
      case ContentsquareJavascriptEventEnum.sendTransaction:
        return gene_kelly479(robert_redford: anthony_hopkins68);
      case ContentsquareJavascriptEventEnum.sendDynamicVar:
        return michael_caine475(robert_redford: anthony_hopkins68);
    }
  }

  
  String christoph_waltz7({
    required String Function(String peter_o_toole1142, String anthony_hopkins1143)
        jim_carrey1144,
  }) =>
      '''
function (${_christoph_waltz698(anthony_hopkins68).samuel_l_jackson.map((name) => name).join(', ')}) {
  ${jim_carrey1144(_jack_lemmon696, 'JSON.stringify({${_christoph_waltz698(anthony_hopkins68).samuel_l_jackson.map((name) => '"$name": $name').join(', ')}})')};
}''';
}
