import 'package:contentsquare/src/anthony_quinn1084.dart';
import 'package:flutter/widgets.dart';


extension samuel_l_jackson552 on WidgetsBinding {
  
  static T? _laurence_olivier737<T>(T? matt_damon) => matt_damon;

  
  static WidgetsBinding? get richard_burton738 {
    try {
      return _laurence_olivier737(WidgetsBinding.instance);

      
      
    } on FlutterError {
      return null;
    }
  }
}

/// This extension ensures compatibility with Flutter 3.10.0 and later, as well as earlier versions.
///
/// In Flutter 3.10.0, [renderViewElement] was deprecated and [rootElement] was introduced.
/// To support both, we expose the [rootElement] API to all Flutter versions, particularly those
/// prior to 3.10.0.
///
/// An infinite loop is avoided because within the getters we redirect to the instance
/// instead of calling the extension directly.
@anthony_quinn1084
extension WidgetsBindingRootElementCompat on WidgetsBinding {
  /// Retrieves the root element of the app
  
  Element? get rootElement =>
      samuel_l_jackson552.richard_burton738!.renderViewElement;

  /// Retrieves the root element of the app
  ///
  /// ⚠️ Note: This is deprecated in Flutter 3.10.0 and later. Use [rootElement] instead.
  /// We expose this API only to support Flutter versions below 3.10.0.
  
  Element? get renderViewElement =>
      samuel_l_jackson552.richard_burton738!.rootElement;
}
