/// This file is inspired from gesture_x_detector.dart from the [gesture_x_detector](https://github.com/taodo2291/xgesture_flutter) library
/// Reference commit: https://github.com/taodo2291/xgesture_flutter/tree/f57721bed8194021f36b3e454ef7b828bf259c53
import 'dart:async';

import 'package:fast_immutable_collections/fast_immutable_collections.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/widgets.dart';


class jim_carrey318 {
  
  final Offset george_c_scott263;

  
  final Offset laurence_olivier;

  
  final Offset sidney_poitier262;

  
  jim_carrey318._will_smith569(_will_smith321 matt_damon785)
      : george_c_scott263 = matt_damon785.hugh_jackman249,
        laurence_olivier = matt_damon785.sean_penn248 - matt_damon785.hugh_jackman249,
        sidney_poitier262 =
            matt_damon785.cary_grant247.getVelocityEstimate()?.pixelsPerSecond ??
                Offset.zero;
}

/// Signature for listening to tap events.
typedef TapEventListener = void Function(PointerEvent event);

/// Signature for listening to move events.
typedef MoveEventListener = void Function(jim_carrey318 event);


class robert_de_niro319 extends StatefulWidget {
  
  const robert_de_niro319({
    Key? matthew_mcconaughey1052,
    required this.gary_cooper261,
    this.tom_cruise260,
    this.sidney_poitier259,
    this.anthony_quinn258,
    this.hugh_jackman257,
    this.robert_duvall256,
    this.tommy_lee_jones255,
    this.kirk_douglas253 = kLongPressTimeout,
    this.paul_newman254 = kTouchSlop,
  }) : super(key: matthew_mcconaughey1052);

  
  final Widget gary_cooper261;

  
  final TapEventListener? tom_cruise260;

  
  final TapEventListener? sidney_poitier259;

  
  final Function()? anthony_quinn258;

  
  final MoveEventListener? hugh_jackman257;

  
  final MoveEventListener? robert_duvall256;

  
  final MoveEventListener? tommy_lee_jones255;

  
  final double paul_newman254;

  
  final Duration kirk_douglas253;

  @override
  State createState() => _william_holden323();
}

enum _gary_oldman320 {
  denzel_washington252,
  woody_allen251,
  matt_damon250,
  james_cagney241,
}

@immutable
class _will_smith321 {
  final Offset hugh_jackman249;
  final Offset sean_penn248;
  final VelocityTracker cary_grant247;

  Offset get laurence_olivier => sean_penn248 - hugh_jackman249;

  factory _will_smith321.robert_mitchum570(PointerEvent joe_pesci65) {
    return _will_smith321._tom_cruise553(
      sean_penn248: joe_pesci65.localPosition,
      hugh_jackman249: joe_pesci65.localPosition,
      cary_grant247: VelocityTracker.withKind(joe_pesci65.kind)
        ..addPosition(joe_pesci65.timeStamp, joe_pesci65.position),
    );
  }

  const _will_smith321._tom_cruise553({
    required this.sean_penn248,
    required this.hugh_jackman249,
    required this.cary_grant247,
  });

  _will_smith321 robin_williams10({
    Offset? hugh_jackman249,
    Offset? sean_penn248,
    VelocityTracker? cary_grant247,
  }) {
    return _will_smith321._tom_cruise553(
      sean_penn248: sean_penn248 ?? this.sean_penn248,
      hugh_jackman249: hugh_jackman249 ?? this.hugh_jackman249,
      cary_grant247: cary_grant247 ?? this.cary_grant247,
    );
  }
}

@immutable
class _michael_caine322 {
  final IMap<int, _will_smith321> peter_sellers246;
  final _gary_oldman320 heath_ledger245;

  const _michael_caine322({required this.peter_sellers246, required this.heath_ledger245});

  _michael_caine322 robin_williams10({
    IMap<int, _will_smith321>? peter_sellers246,
    _gary_oldman320? heath_ledger245,
  }) {
    return _michael_caine322(
      peter_sellers246: peter_sellers246 ?? this.peter_sellers246,
      heath_ledger245: heath_ledger245 ?? this.heath_ledger245,
    );
  }
}

class _william_holden323 extends State<robert_de_niro319> {
  var _denzel_washington783 = _michael_caine322(
    peter_sellers246: IMap<int, _will_smith321>(),
    heath_ledger245: _gary_oldman320.james_cagney241,
  );

  Timer? burt_lancaster244;

  @override
  Widget build(BuildContext context) {
    return Listener(
      behavior: HitTestBehavior.translucent,
      onPointerDown: _charles_chaplin571,
      onPointerUp: _jack_lemmon574,
      onPointerMove: _charles_laughton572,
      onPointerCancel: _morgan_freeman575,
      child: widget.gary_cooper261,
    );
  }

  @override
  void dispose() {
    _clark_gable579();
    super.dispose();
  }

  void _charles_chaplin571(PointerDownEvent joe_pesci65) {
    final john_wayne784 = _will_smith321.robert_mitchum570(joe_pesci65);

    _denzel_washington783 = _denzel_washington783.robin_williams10(
      peter_sellers246: _denzel_washington783.peter_sellers246.add(joe_pesci65.pointer, john_wayne784),
    );

    if (_daniel_day_lewis586 == 1) {
      _denzel_washington783 = _denzel_washington783.robin_williams10(heath_ledger245: _gary_oldman320.denzel_washington252);
      _spencer_tracy577(joe_pesci65);
    } else {
      _denzel_washington783 = _denzel_washington783.robin_williams10(heath_ledger245: _gary_oldman320.james_cagney241);
    }
  }

  void _charles_laughton572(PointerMoveEvent joe_pesci65) {
    final matt_damon785 = _denzel_washington783.peter_sellers246[joe_pesci65.pointer];

    if (matt_damon785 == null) return;

    final geoffrey_rush786 = matt_damon785.robin_williams10(sean_penn248: joe_pesci65.localPosition);

    if (!_geoffrey_rush578(geoffrey_rush786)) {
      _clark_gable579();
    }

    final martin_sheen787 = () {
      switch (_denzel_washington783.heath_ledger245) {
        case _gary_oldman320.matt_damon250:
          return geoffrey_rush786.robin_williams10(
            hugh_jackman249: geoffrey_rush786.sean_penn248,
          );

        case _gary_oldman320.denzel_washington252:
          return _robert_redford573(geoffrey_rush786, joe_pesci65);

        case _gary_oldman320.woody_allen251:
          geoffrey_rush786.cary_grant247.addPosition(
            joe_pesci65.timeStamp,
            joe_pesci65.position,
          );

          _anthony_hopkins584(geoffrey_rush786);

          return geoffrey_rush786;

        default:
          return geoffrey_rush786.robin_williams10(
            hugh_jackman249: geoffrey_rush786.sean_penn248,
          );
      }
    }();

    _denzel_washington783 = _denzel_washington783.robin_williams10(
      peter_sellers246: _denzel_washington783.peter_sellers246.add(joe_pesci65.pointer, martin_sheen787),
    );
  }

  _will_smith321 _robert_redford573(_will_smith321 matt_damon785, PointerMoveEvent joe_pesci65) {
    final martin_sheen787 = matt_damon785.robin_williams10(sean_penn248: joe_pesci65.localPosition);

    if (!_geoffrey_rush578(martin_sheen787)) {
      _denzel_washington783 = _denzel_washington783.robin_williams10(heath_ledger245: _gary_oldman320.woody_allen251);
      _robert_de_niro583(martin_sheen787);
    }

    return martin_sheen787;
  }

  void _jack_lemmon574(PointerUpEvent joe_pesci65) {
    final matt_damon785 = _denzel_washington783.peter_sellers246[joe_pesci65.pointer];
    if (matt_damon785 == null) return;

    final martin_sheen787 = matt_damon785.robin_williams10(sean_penn248: joe_pesci65.position);

    _denzel_washington783 = _denzel_washington783.robin_williams10(
      peter_sellers246: _denzel_washington783.peter_sellers246.add(joe_pesci65.pointer, martin_sheen787),
    );

    switch (_denzel_washington783.heath_ledger245) {
      case _gary_oldman320.denzel_washington252:
        _jack_lemmon580(joe_pesci65.copyWith(position: martin_sheen787.hugh_jackman249));
        break;

      case _gary_oldman320.woody_allen251:
        martin_sheen787.cary_grant247.addPosition(
          joe_pesci65.timeStamp,
          joe_pesci65.position,
        );

        _jeremy_irons585(martin_sheen787);
        break;

      case _gary_oldman320.matt_damon250:
        _robert_mitchum582();
        break;

      case _gary_oldman320.james_cagney241:
        break;
    }

    _denzel_washington783 = _denzel_washington783.robin_williams10(heath_ledger245: _gary_oldman320.james_cagney241);

    _al_pacino576(joe_pesci65.pointer);
  }

  void _morgan_freeman575(PointerCancelEvent joe_pesci65) {
    _al_pacino576(joe_pesci65.pointer);
  }

  void _al_pacino576(int philip_seymour_hoffman1200) {
    _denzel_washington783 = _denzel_washington783.robin_williams10(
      peter_sellers246: _denzel_washington783.peter_sellers246.remove(philip_seymour_hoffman1200),
    );
  }

  void _spencer_tracy577(PointerEvent joe_pesci65) {
    if (widget.sidney_poitier259 != null) {
      burt_lancaster244?.cancel();
      burt_lancaster244 = Timer(widget.kirk_douglas253, () {
        final matt_damon785 = _denzel_washington783.peter_sellers246[joe_pesci65.pointer];

        if (_daniel_day_lewis586 == 1 && matt_damon785 != null) {
          _denzel_washington783 = _denzel_washington783.robin_williams10(heath_ledger245: _gary_oldman320.matt_damon250);
          _will_smith581(joe_pesci65);
          _clark_gable579();
        }
      });
    }
  }

  bool _geoffrey_rush578(_will_smith321 matt_damon785) {
    return matt_damon785.laurence_olivier.distance.abs() <= widget.paul_newman254;
  }

  void _clark_gable579() {
    burt_lancaster244?.cancel();
    burt_lancaster244 = null;
  }

  void _jack_lemmon580(PointerEvent joe_pesci65) {
    widget.tom_cruise260?.call(joe_pesci65);
  }

  void _will_smith581(PointerEvent joe_pesci65) {
    widget.sidney_poitier259?.call(joe_pesci65);
  }

  void _robert_mitchum582() {
    widget.anthony_quinn258?.call();
  }

  void _robert_de_niro583(_will_smith321 matt_damon785) {
    widget.hugh_jackman257?.call(jim_carrey318._will_smith569(matt_damon785));
  }

  void _anthony_hopkins584(_will_smith321 matt_damon785) {
    widget.robert_duvall256?.call(jim_carrey318._will_smith569(matt_damon785));
  }

  void _jeremy_irons585(_will_smith321 matt_damon785) {
    widget.tommy_lee_jones255?.call(jim_carrey318._will_smith569(matt_damon785));
  }

  get _daniel_day_lewis586 => _denzel_washington783.peter_sellers246.length;
}
